> ## Documentation Index
> Fetch the complete documentation index at: https://inference-docs.cerebras.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List endpoints

<Callout icon="lock" color="#b2b1b1ff" iconType="regular">
  This feature is in [Private Preview](/support/preview-releases). For access or more information, [contact us](https://www.cerebras.ai/contact) or reach out to your account representative.
</Callout>

List all endpoints accessible to an organization for management.


## OpenAPI

````yaml get /management/v1/orgs/{org_name}/endpoints
openapi: 3.1.0
info:
  title: Endpoint Management Orchestrator API
  version: 1.0.0
servers:
  - url: https://api.cerebras.ai
security:
  - BearerAuth: []
paths:
  /management/v1/orgs/{org_name}/endpoints:
    get:
      summary: List endpoints
      operationId: get_endpoints_by_org_route_management_v1_orgs__org_name__endpoints_get
      parameters:
        - name: org_name
          in: path
          required: true
          schema:
            type: string
            description: >-
              Cerebras customer management organization name found under
              `Management API keys` on the `API keys` page at
              https://cloud.cerebras.ai.


              Note: This is not to be confused with `org_id`.
            title: Org Name
          description: >-
            Cerebras customer management organization name found under
            `Management API keys` on the `API keys` page at
            https://cloud.cerebras.ai.


            Note: This is not to be confused with `org_id`.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EndpointListResponse'
              example:
                endpoints:
                  - endpoint_id: my-org-gpt-oss-120b
                    model_arch_id: gpt-oss-120b
                    created: 1736700000
                    updated: 1736700000
                    org_name: my-org
                  - endpoint_id: my-org-llama3.1-8b
                    model_arch_id: llama3.1-8b
                    created: 1736600000
                    updated: 1736650000
                    org_name: my-org
components:
  schemas:
    EndpointListResponse:
      properties:
        endpoints:
          items:
            $ref: '#/components/schemas/EndpointSummary'
          type: array
          title: Endpoints
          description: Endpoints that can be managed via the API.
      additionalProperties: false
      type: object
      required:
        - endpoints
      title: EndpointListResponse
    EndpointSummary:
      properties:
        endpoint_id:
          type: string
          title: Endpoint Id
          description: >-
            Unique identifier for the endpoint. It is used as the
            [`model`](https://inference-docs.cerebras.ai/api-reference/chat-completions#param-model)
            field when making an inference request.


            Example: `my-org-gpt-oss-120b`


            ```bash

            curl --location 'https://api.cerebras.ai/v1/chat/completions' \

            --header 'Content-Type: application/json' \

            --header "Authorization: Bearer ${CEREBRAS_API_KEY}" \

            --data '{
              "model": "my-org-gpt-oss-120b",
              "messages": [{"content": "Hello!", "role": "user"}]
            }'

            ```
        model_arch_id:
          type: string
          title: Model Arch Id
          description: Name of the model architecture (e.g. `llama3.1-8b`, `gpt-oss-120b`).
        created:
          anyOf:
            - type: integer
            - type: 'null'
          title: Created
          description: Unix timestamp (in seconds) when the endpoint was created.
        updated:
          anyOf:
            - type: integer
            - type: 'null'
          title: Updated
          description: Unix timestamp (in seconds) when the endpoint was last updated.
        org_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Org Name
          description: Organization currently managing the endpoint.
      additionalProperties: false
      type: object
      required:
        - endpoint_id
        - model_arch_id
      title: EndpointSummary
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Management API key generated from the `Management API keys` section on
        the `API keys` page at https://cloud.cerebras.ai. Use the format:
        `Bearer <MANAGEMENT_API_KEY>`

````